poi-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From bugzi...@apache.org
Subject [Bug 60527] java.lang.NoSuchMethodError: org.apache.poi.util.POILogger.log(I[Ljava/lang/Object;)V : when working with Eclipse Java EE developer neon version.
Date Thu, 29 Dec 2016 09:21:00 GMT
https://bz.apache.org/bugzilla/show_bug.cgi?id=60527

Swedha B <swedhathrisala93@gmail.com> changed:

           What    |Removed                     |Added
----------------------------------------------------------------------------
             Status|NEEDINFO                    |RESOLVED
         Resolution|---                         |FIXED

--- Comment #3 from Swedha B <swedhathrisala93@gmail.com> ---
(In reply to Dominik Stadler from comment #1)
> Did you check the discussion at
> http://stackoverflow.com/questions/33415904/apache-poi-parsing-error, it
> suggests to ensure that all poi-jars are from one version and no transitive
> dependency drags in some outdated jar-file which does not have the method
> that is seen here. I.e. poi-scratchpad seems to be newer than the main
> poi-jar-file.
> 
> There was a somewhat related discussion in bug 59933, but that looked a bit
> different and is fixed in 3.16-beta1.


This problem solved. I given only 1 version poi-3.16 beta1 version. I am able
to fix the problem. Intially I did this. But didn't worked for me. After
reporting here I "reinstalled" the Eclipse and now when I repeat this the error
gone. Thanks alot :)

-- 
You are receiving this mail because:
You are the assignee for the bug.
---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@poi.apache.org
For additional commands, e-mail: dev-help@poi.apache.org


Mime
View raw message